org.objectweb.util.ant

## Class Zip.ZipGroup

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.objectweb.util.ant.Zip.ZipGroup

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

Enclosing class:
  Zip

    public class Zip.ZipGroup
    extends org.apache.tools.ant.taskdefs.MatchingTask

represents a group of zip

### Field Summary

Fields
`File` `dir`
`org.objectweb.util.ant.Zip.ZipGroup.ZipEntries` `theEntries`

### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`fileset`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Zip.ZipGroup(org.apache.tools.ant.Project p)`

### Method Summary

Methods
`org.objectweb.util.ant.Zip.ZipGroup.ZipEntries` `createZipEntries()`
`String[]` `getZipFileNames()`
`void` `setDir(File dir)`

### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### theEntries

    public org.objectweb.util.ant.Zip.ZipGroup.ZipEntries theEntries

#### dir

    public File dir

### Constructor Detail

#### Zip.ZipGroup

    public Zip.ZipGroup(org.apache.tools.ant.Project p)

### Method Detail

#### createZipEntries

    public org.objectweb.util.ant.Zip.ZipGroup.ZipEntries createZipEntries()

#### setDir

    public void setDir(File dir)

#### getZipFileNames

    public String[] getZipFileNames()